Subject: Re: Gallery Submission - Tamiya P-51D in 1/72
From: "Steve Bamford" <[email-masked]>
To: "Youngerman" <[email-masked]>
Date: Fri, 20 Sep 2002 00:17:01 -0400

----- Original Message ----- 
  From: Youngerman 
  To: Steve Bamford 
  Sent: Monday, August 12, 2002 1:38 AM
  Subject: Gallery Submission - Tamiya P-51D in 1/72

  Hello Steve!
   
     I know, I know...not another P-51 model!  I figured I have submitted some unusual types, so I thought maybe I should send a more common aircraft.
   
  Joe

  Tamiya's P-51D in 1/72 Scale
   
       Having built P-51's in 1/72 scale from Monogram, Italeri, Frog, Hasegawa and Revell, I would definately say that Tamiya's is at the top of the heap! There is always some little flaw with just about every kit, but this one goes together so well and looks so good when finished, that even the most picky modeler should be content. 
       I decided to build mine pretty much out of the box with some photo etch seat belts and decals from Aeromaster. The aircraft represented is that of Ray Wetmore. He was with the 370th Fighter Squadron, 359th Fighter Group while flying this aircraft and finished the war with 21.25 kills, including a Me-163 rocket fighter.
       I used Alclad II for the natural metal surfaces and Polly S for the painted areas. The kit was a joy to build but the main canopy comes in two pieces which is a little tricky. I suppose one could scavenge a Hasegawa canopy and avoid the hassle of mating the clear part to the frame. Now if Tamiya would just release a P-51B!
   
  Joe Youngerman